> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoice Payment Transactions

> Returns token transactions for one invoice payment.

Required scope: `payments:read`. It also needs `banking:read`, `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-invoice-payment-transactions
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-invoice-payment-transactions:
    get:
      operationId: getInvoicePaymentTransactions
      summary: Get Invoice Payment Transactions
      x-toku-required-scope: payments:read
      description: >-
        Returns token transactions for one invoice payment.


        Required scope: `payments:read`. It also needs `banking:read`,
        `compensation:read`.
      parameters:
        - name: invoicePaymentID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetInvoicePaymentTransactionsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetInvoicePaymentTransactionsResponse:
      type: object
      properties:
        success:
          type: boolean
        invoiceTokenTransactions:
          type: array
          items:
            type: object
            properties:
              invoicePaymentID:
                type: string
              invoiceTokenTransactionID:
                type: string
              roleInOrgID:
                type: string
              tokenID:
                type: string
              tokenName:
                type: string
              tokenSymbol:
                type: string
              address:
                type: string
              tokenAmount:
                oneOf:
                  - type: string
                  - type: number
              sourceAmount:
                oneOf:
                  - type: string
                  - type: number
              exchangeRate:
                oneOf:
                  - type: string
                  - type: number
              sourceCurrencyCode:
                type: string
              isApproved:
                type: boolean
              settlementId:
                type: string
              transactionHash:
                type: string
              transactionLink:
                type: string
              dateFulfilled:
                type: string
            required:
              - invoicePaymentID
              - roleInOrgID
              - tokenID
              - address
              - tokenAmount
              - sourceAmount
              - exchangeRate
              - sourceCurrencyCode
              - isApproved
      required:
        - success
        - invoiceTokenTransactions
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
